>From 89a859c1229283cdb8d8e877ee1a81972f7e5af1 Mon Sep 17 00:00:00 2001
From: Yuri Chornoivan <yurchor@ukr.net>
Date: Tue, 4 Dec 2018 19:08:14 +0200
Subject: [PATCH] Fix minor typos in messages and docs

Signed-off-by: Yuri Chornoivan <yurchor@ukr.net>
---
 config-post.h                          |  2 +-
 include/libvirt/libvirt-event.h        |  2 +-
 src/access/viraccessperm.h             |  4 ++--
 src/bhyve/bhyve_command.c              |  2 +-
 src/conf/domain_addr.c                 |  4 ++--
 src/conf/object_event.c                |  2 +-
 src/conf/virstorageobj.c               |  2 +-
 src/driver.h                           |  2 +-
 src/hyperv/hyperv_wmi_generator.py     | 20 ++++++++++----------
 src/libvirt-domain.c                   |  6 +++---
 src/libxl/libxl_conf.c                 |  2 +-
 src/libxl/libxl_migration.c            |  2 +-
 src/lxc/lxc_conf.c                     |  2 +-
 src/nwfilter/nwfilter_gentech_driver.c |  2 +-
 src/phyp/phyp_driver.c                 |  2 +-
 src/qemu/qemu_block.c                  |  2 +-
 src/qemu/qemu_capabilities.c           |  2 +-
 src/qemu/qemu_domain.c                 |  6 +++---
 src/qemu/qemu_driver.c                 |  4 ++--
 src/qemu/qemu_hotplug.c                |  2 +-
 src/qemu/qemu_migration.c              |  2 +-
 src/qemu/qemu_monitor.c                |  2 +-
 src/qemu/qemu_monitor_json.c           |  6 +++---
 src/qemu/qemu_process.c                |  2 +-
 src/qemu/qemu_security.c               |  2 +-
 src/security/virt-aa-helper.c          |  2 +-
 src/storage/storage_backend_disk.c     |  2 +-
 src/uml/uml_conf.c                     |  2 +-
 src/util/viralloc.c                    |  2 +-
 src/util/viralloc.h                    |  2 +-
 src/util/virbitmap.c                   |  2 +-
 src/util/vircgroup.c                   |  4 ++--
 src/util/vircrypto.c                   |  4 ++--
 src/util/virlog.c                      |  2 +-
 src/util/virmodule.c                   |  2 +-
 src/util/virnetdevbandwidth.c          |  2 +-
 src/util/virnetdevip.c                 |  2 +-
 src/util/virnetdevmacvlan.c            |  2 +-
 src/util/virnetdevopenvswitch.c        |  2 +-
 src/util/virrandom.c                   |  2 +-
 src/util/virresctrl.c                  |  2 +-
 src/util/virstoragefile.h              |  2 +-
 src/util/virstring.c                   |  6 +++---
 src/vbox/vbox_network.c                |  2 +-
 src/vbox/vbox_uniformed_api.h          |  4 ++--
 src/vmx/vmx.c                          |  8 ++++----
 src/vz/vz_driver.c                     |  2 +-
 src/vz/vz_sdk.c                        |  2 +-
 src/xenconfig/xen_sxpr.c               |  8 ++++----
 tests/securityselinuxlabeltest.c       |  2 +-
 tests/virfirewalltest.c                | 20 ++++++++++----------
 tests/virhashtest.c                    |  2 +-
 tests/virmock.h                        |  2 +-
 tests/virtestmock.c                    |  2 +-
 tools/virsh.c                          |  2 +-
 tools/virt-admin.c                     |  2 +-
 tools/vsh-table.c                      |  2 +-
 57 files changed, 95 insertions(+), 95 deletions(-)

diff --git a/config-post.h b/config-post.h
index 063e30fa37..dd4ef8fc0b 100644
--- a/config-post.h
+++ b/config-post.h
@@ -19,7 +19,7 @@
 /*
  * Since virt-login-shell will be setuid, we must do everything
  * we can to avoid linking to other libraries. Many of them do
- * unsafe things in functions marked __atttribute__((constructor)).
+ * unsafe things in functions marked __attribute__((constructor)).
  * The only way to avoid such deps is to re-compile the
  * functions with the code in question disabled, and for that we
  * must override the main config.h rules. Hence this file :-(
diff --git a/include/libvirt/libvirt-event.h b/include/libvirt/libvirt-event.h
index 23227d0901..838cb54878 100644
--- a/include/libvirt/libvirt-event.h
+++ b/include/libvirt/libvirt-event.h
@@ -60,7 +60,7 @@ typedef void (*virEventHandleCallback)(int watch, int fd, int events, void *opaq
  * virEventAddHandleFunc:
  * @fd: file descriptor to listen on
  * @event: bitset of events on which to fire the callback
- * @cb: the callback to be called when an event occurrs
+ * @cb: the callback to be called when an event occurs
  * @opaque: user data to pass to the callback
  * @ff: the callback invoked to free opaque data blob
  *
diff --git a/src/access/viraccessperm.h b/src/access/viraccessperm.h
index 5ac5ff3377..10ce2dc139 100644
--- a/src/access/viraccessperm.h
+++ b/src/access/viraccessperm.h
@@ -417,7 +417,7 @@ typedef enum {
 
     /**
      * @desc: Access node device
-     * @message: Accesing node device requires authorization
+     * @message: Accessing node device requires authorization
      * @anonymous: 1
      */
     VIR_ACCESS_PERM_NODE_DEVICE_GETATTR,
@@ -637,7 +637,7 @@ typedef enum {
 
     /**
      * @desc: Access storage volume
-     * @message: Acceessing storage volume requires authorization
+     * @message: Accessing storage volume requires authorization
      * @anonymous: 1
      */
     VIR_ACCESS_PERM_STORAGE_VOL_GETATTR,
diff --git a/src/bhyve/bhyve_command.c b/src/bhyve/bhyve_command.c
index 6149c9331e..84fda08943 100644
--- a/src/bhyve/bhyve_command.c
+++ b/src/bhyve/bhyve_command.c
@@ -924,7 +924,7 @@ virBhyveGetBootDisk(virDomainDefPtr def)
             }
         }
 
-        /* If user didn't explicily specify boot priority,
+        /* If user didn't explicitly specify boot priority,
          * just return the first usable disk */
         if ((match == NULL) && (first_usable_disk_index >= 0))
             return def->disks[first_usable_disk_index];
diff --git a/src/conf/domain_addr.c b/src/conf/domain_addr.c
index cc9ea82a33..6e983e4fec 100644
--- a/src/conf/domain_addr.c
+++ b/src/conf/domain_addr.c
@@ -576,7 +576,7 @@ virDomainPCIAddressBusSetModel(virDomainPCIAddressBusPtr bus,
         bus->maxSlot = 0;
         break;
     case VIR_DOMAIN_CONTROLLER_MODEL_PCIE_SWITCH_UPSTREAM_PORT:
-        /* 32 slots, can only accept pcie-switch-downstrean-ports,
+        /* 32 slots, can only accept pcie-switch-downstream-ports,
          * no hotplug
          */
         bus->flags = VIR_PCI_CONNECT_TYPE_PCIE_SWITCH_DOWNSTREAM_PORT;
@@ -673,7 +673,7 @@ virDomainPCIAddressSetGrow(virDomainPCIAddressSetPtr addrs,
              * pci-bridge, but we need one for the device's PCI address
              * to make sense, it means the guest only has a PCIe topology
              * configured so far, and we need to create a traditional PCI
-             * topology to accomodate the new device.
+             * topology to accommodate the new device.
              */
             needDMIToPCIBridge = true;
             needPCIeToPCIBridge = true;
diff --git a/src/conf/object_event.c b/src/conf/object_event.c
index dd5c6ff32d..bf514384ed 100644
--- a/src/conf/object_event.c
+++ b/src/conf/object_event.c
@@ -702,7 +702,7 @@ virObjectEventStateDispatchCallbacks(virObjectEventStatePtr state,
         if (!virObjectEventDispatchMatchCallback(event, cb))
             continue;
 
-        /* Drop the lock whle dispatching, for sake of re-entrancy */
+        /* Drop the lock while dispatching, for sake of re-entrance */
         virObjectUnlock(state);
         event->dispatch(cb->conn, event, cb->cb, cb->opaque);
         virObjectLock(state);
diff --git a/src/conf/virstorageobj.c b/src/conf/virstorageobj.c
index 30aabb2b37..6ea6a97d89 100644
--- a/src/conf/virstorageobj.c
+++ b/src/conf/virstorageobj.c
@@ -1232,7 +1232,7 @@ matchFCHostToSCSIHost(virStorageAdapterFCHostPtr fchost,
     /* NB: Lack of a name means that this vHBA hasn't yet been created,
      *     which means our scsi_host cannot be using the vHBA. Furthermore,
      *     lack of a provided parent means libvirt is going to choose the
-     *     "best" fc_host capable adapter based on availabilty. That could
+     *     "best" fc_host capable adapter based on availability. That could
      *     conflict with an existing scsi_host definition, but there's no
      *     way to know that now.
      */
diff --git a/src/driver.h b/src/driver.h
index c4d94ba294..83888921c0 100644
--- a/src/driver.h
+++ b/src/driver.h
@@ -86,7 +86,7 @@ struct _virConnectDriver {
     /*
      * NULL terminated list of supported URI schemes.
      *  - Single element { NULL } list indicates no supported schemes
-     *  - NULL list indicates wildcard supportnig all schemes
+     *  - NULL list indicates wildcard supporting all schemes
      */
     const char **uriSchemes;
     virHypervisorDriverPtr hypervisorDriver;
diff --git a/src/hyperv/hyperv_wmi_generator.py b/src/hyperv/hyperv_wmi_generator.py
index ceeb263660..518a55fd6d 100755
--- a/src/hyperv/hyperv_wmi_generator.py
+++ b/src/hyperv/hyperv_wmi_generator.py
@@ -36,9 +36,9 @@ class WmiClass:
     This class holds one or more instances of WmiClassVersion because with the
     Windows 2012 release, Microsoft introduced "v2" version of Msvm_* family of
     classes that need different URI for making wsman requests and also have
-    some additional/changed properties (though many of the properies are the
+    some additional/changed properties (though many of the properties are the
     same as in "v1". Therefore, this class makes sure that C code is generated
-    for each of them while avoiding name conflics, identifies common members,
+    for each of them while avoiding name conflicts, identifies common members,
     and defined *_WmiInfo structs holding info about each version so the driver
     code can make the right choices based on which Hyper-V host it's connected
     to.
@@ -54,15 +54,15 @@ class WmiClass:
         """Prepares the class for code generation
 
         Makes sure that "versioned" classes are sorted by version, identifies
-        common properies and ensures that they are aligned by name and
+        common properties and ensures that they are aligned by name and
         type in each version
         """
-        # sort vesioned classes by version in case input file did not have them
+        # sort versioned classes by version in case input file did not have them
         # in order
         self.versions = sorted(self.versions, key=lambda cls: cls.version or "")
 
-        # if there's more than one verion make sure first one has name suffixed
-        # because we'll generate "common" memeber and will be the "base" name
+        # if there's more than one version make sure first one has name suffixed
+        # because we'll generate "common" member and will be the "base" name
         if len(self.versions) > 1:
             first = self.versions[0]
             if first.version == None:
@@ -160,7 +160,7 @@ class WmiClass:
         The *_Data structs are members of hypervObject data union. Each one has
         corresponding *_TypeInfo that is used for wsman unserialization of
         response XML into the *_Data structs. If there's a "common" member, it
-        won't have corresponding *_TypeInfo becuase this is a special case only
+        won't have corresponding *_TypeInfo because this is a special case only
         used to provide a common "view" of v1, v2 etc members
         """
 
@@ -258,7 +258,7 @@ class WmiClass:
         if num_classes < 2:
             return
 
-        # count property occurences in all class versions
+        # count property occurrences in all class versions
         for cls in self.versions:
             for prop in cls.properties:
                 # consdered same if matches by name AND type
@@ -269,7 +269,7 @@ class WmiClass:
                 else:
                     property_info[key] = [prop, 1]
 
-        # isolate those that are common for all and keep track of their postions
+        # isolate those that are common for all and keep track of their positions
         pos = 0
         for key in sorted(property_info):
             info = property_info[key]
@@ -278,7 +278,7 @@ class WmiClass:
                 common[info[0].name] = [info[0], pos]
                 pos += 1
 
-        # alter each versions's property list so that common members are first
+        # alter each version's property list so that common members are first
         # and in the same order as in the common dictionary
         total = len(common)
         for cls in self.versions:
diff --git a/src/libvirt-domain.c b/src/libvirt-domain.c
index 73d602edca..d49d7f869f 100644
--- a/src/libvirt-domain.c
+++ b/src/libvirt-domain.c
@@ -7933,7 +7933,7 @@ virDomainGetSecurityLabel(virDomainPtr domain, virSecurityLabelPtr seclabel)
  * in the @seclabels argument will be initialized to the empty
  * string if the domain is not running under a security model.
  *
- * Returns number of elemnets in @seclabels on success, -1 in case of failure.
+ * Returns number of elements in @seclabels on success, -1 in case of failure.
  */
 int
 virDomainGetSecurityLabelList(virDomainPtr domain,
@@ -11184,7 +11184,7 @@ virDomainFSThaw(virDomainPtr dom,
  * virDomainGetTime:
  * @dom: a domain object
  * @seconds: domain's time in seconds
- * @nseconds: the nanoscond part of @seconds
+ * @nseconds: the nanosecond part of @seconds
  * @flags: extra flags; not used yet, so callers should always pass 0
  *
  * Extract information about guest time and store it into
@@ -11594,7 +11594,7 @@ virConnectGetDomainCapabilities(virConnectPtr conn,
  *     divisor. When not provided, QEMU may double the polling time until
  *     poll-max-ns is reached. When poll-shrink is 0 (zero) QEMU may reset
  *     the polling interval to 0 until it finds its "sweet spot". Setting
- *     poll-grow too large may cause frequent fluctution of the time; however,
+ *     poll-grow too large may cause frequent fluctuation of the time; however,
  *     this can be tempered by a high poll-shrink to reduce the polling
  *     interval. For example, a poll-grow of 3 will triple the polling time
  *     which could quickly exceed poll-max-ns; however, a poll-shrink of
diff --git a/src/libxl/libxl_conf.c b/src/libxl/libxl_conf.c
index ea880329ed..930df7eac4 100644
--- a/src/libxl/libxl_conf.c
+++ b/src/libxl/libxl_conf.c
@@ -2490,7 +2490,7 @@ libxlBuildDomainConfig(virPortAllocatorRangePtr graphicsports,
 
     /*
      * Now that any potential VFBs are defined, update the build info with
-     * the data of the primary display. Some day libxl might implicitely do
+     * the data of the primary display. Some day libxl might implicitly do
      * so but as it does not right now, better be explicit.
      */
     if (libxlMakeVideo(def, d_config) < 0)
diff --git a/src/libxl/libxl_migration.c b/src/libxl/libxl_migration.c
index 88d7ecf2ce..bb00927133 100644
--- a/src/libxl/libxl_migration.c
+++ b/src/libxl/libxl_migration.c
@@ -1029,7 +1029,7 @@ libxlDoMigrateSrcP2P(libxlDriverPrivatePtr driver,
         goto confirm;
 
     /* We don't require the destination to have P2P support
-     * as it looks to be normal migration from the receiver perpective.
+     * as it looks to be normal migration from the receiver perspective.
      */
     destflags = flags & ~(VIR_MIGRATE_PEER2PEER);
 
diff --git a/src/lxc/lxc_conf.c b/src/lxc/lxc_conf.c
index 949bfe246a..cecab7611d 100644
--- a/src/lxc/lxc_conf.c
+++ b/src/lxc/lxc_conf.c
@@ -69,7 +69,7 @@ virCapsPtr virLXCDriverCapsInit(virLXCDriverPtr driver)
                                    false, false)) == NULL)
         goto error;
 
-    /* Some machines have problematic NUMA toplogy causing
+    /* Some machines have problematic NUMA topology causing
      * unexpected failures. We don't want to break the lxc
      * driver in this scenario, so log errors & carry on
      */
diff --git a/src/nwfilter/nwfilter_gentech_driver.c b/src/nwfilter/nwfilter_gentech_driver.c
index e5dea91f83..a2ad95d209 100644
--- a/src/nwfilter/nwfilter_gentech_driver.c
+++ b/src/nwfilter/nwfilter_gentech_driver.c
@@ -678,7 +678,7 @@ virNWFilterDoInstantiate(virNWFilterTechDriverPtr techdriver,
 
         if (rc == 0 && (virNetDevValidateConfig(binding->portdevname, NULL, ifindex) <= 0)) {
             virResetLastError();
-            /* interface changed/disppeared */
+            /* interface changed/disappeared */
             techdriver->allTeardown(binding->portdevname);
             rc = -1;
         }
diff --git a/src/phyp/phyp_driver.c b/src/phyp/phyp_driver.c
index 05bf6df7cb..3143140626 100644
--- a/src/phyp/phyp_driver.c
+++ b/src/phyp/phyp_driver.c
@@ -325,7 +325,7 @@ phypCapsInit(void)
                                    false, false)) == NULL)
         goto no_memory;
 
-    /* Some machines have problematic NUMA toplogy causing
+    /* Some machines have problematic NUMA topology causing
      * unexpected failures. We don't want to break the QEMU
      * driver in this scenario, so log errors & carry on
      */
diff --git a/src/qemu/qemu_block.c b/src/qemu/qemu_block.c
index 5321dda316..cbf0aa4189 100644
--- a/src/qemu/qemu_block.c
+++ b/src/qemu/qemu_block.c
@@ -1574,7 +1574,7 @@ qemuBlockStorageSourceAttachPrepareBlockdev(virStorageSourcePtr src)
  * called after the monitor was entered.
  *
  * Returns 0 on success and -1 on error with a libvirt error reported. If an
- * error occured, changes which were already applied need to be rolled back by
+ * error occurred, changes which were already applied need to be rolled back by
  * calling qemuBlockStorageSourceAttachRollback.
  */
 int
diff --git a/src/qemu/qemu_capabilities.c b/src/qemu/qemu_capabilities.c
index 52ac0bc453..9258bf6ee3 100644
--- a/src/qemu/qemu_capabilities.c
+++ b/src/qemu/qemu_capabilities.c
@@ -902,7 +902,7 @@ virQEMUCapsInit(virFileCachePtr cache)
                                    true, true)) == NULL)
         goto error;
 
-    /* Some machines have problematic NUMA toplogy causing
+    /* Some machines have problematic NUMA topology causing
      * unexpected failures. We don't want to break the QEMU
      * driver in this scenario, so log errors & carry on
      */
diff --git a/src/qemu/qemu_domain.c b/src/qemu/qemu_domain.c
index dd17174e25..0ef490be5a 100644
--- a/src/qemu/qemu_domain.c
+++ b/src/qemu/qemu_domain.c
@@ -1751,7 +1751,7 @@ qemuDomainSecretDestroy(virDomainObjPtr vm)
  * @vm: Domain object
  *
  * For any objects that may require an auth/secret setup, create a
- * qemuDomainSecretInfo and save it in the approriate place within
+ * qemuDomainSecretInfo and save it in the appropriate place within
  * the private structures. This will be used by command line build
  * code in order to pass the secret along to qemu in order to provide
  * the necessary authentication data.
@@ -3980,7 +3980,7 @@ qemuDomainDefValidateMemory(const virDomainDef *def,
     if (mem->source == VIR_DOMAIN_MEMORY_SOURCE_MEMFD &&
         !virQEMUCapsGet(qemuCaps, QEMU_CAPS_OBJECT_MEMORY_MEMFD_HUGETLB)) {
         virReportError(VIR_ERR_CONFIG_UNSUPPORTED, "%s",
-                       _("hugepages is not support with memfd memory source"));
+                       _("hugepages is not supported with memfd memory source"));
         return -1;
     }
 
@@ -4847,7 +4847,7 @@ qemuDomainValidateStorageSource(virStorageSourcePtr src,
         src->encryption->format == VIR_STORAGE_ENCRYPTION_FORMAT_LUKS &&
         !virQEMUCapsGet(qemuCaps, QEMU_CAPS_QCOW2_LUKS)) {
         virReportError(VIR_ERR_CONFIG_UNSUPPORTED, "%s",
-                       _("LUKS encrypted QCOW2 images are not suppored by this QEMU"));
+                       _("LUKS encrypted QCOW2 images are not supported by this QEMU"));
         return -1;
     }
 
diff --git a/src/qemu/qemu_driver.c b/src/qemu/qemu_driver.c
index 83de42f041..90cbc02745 100644
--- a/src/qemu/qemu_driver.c
+++ b/src/qemu/qemu_driver.c
@@ -6082,7 +6082,7 @@ qemuDomainDelIOThreadCheck(virDomainDefPtr def,
  * QEMU keeps track of the polling time elapsed and may grow or shrink the
  * its polling interval based upon its heuristic algorithm. It is possible
  * that calculations determine that it has found a "sweet spot" and no
- * ajustments are made. The polling time value is not available.
+ * adjustments are made. The polling time value is not available.
  *
  * Returns 0 on success, -1 on failure with error set.
  */
@@ -14980,7 +14980,7 @@ qemuDomainSnapshotPrepare(virDomainObjPtr vm,
 
     /* internal snapshots + pflash based loader have the following problems:
      * - if the variable store is raw, the snapshot fails
-     * - alowing a qcow2 image as the varstore would make it eligible to receive
+     * - allowing a qcow2 image as the varstore would make it eligible to receive
      *   the vmstate dump, which would make it huge
      * - offline snapshot would not snapshot the varstore at all
      *
diff --git a/src/qemu/qemu_hotplug.c b/src/qemu/qemu_hotplug.c
index 5f756b7267..a5069701b4 100644
--- a/src/qemu/qemu_hotplug.c
+++ b/src/qemu/qemu_hotplug.c
@@ -6647,7 +6647,7 @@ qemuDomainSetVcpusConfig(virDomainDefPtr def,
                 continue;
 
             if (vcpu->online) {
-                /* non-hotpluggable vcpus need to be clustered at the beggining,
+                /* non-hotpluggable vcpus need to be clustered at the beginning,
                  * thus we need to force vcpus to be hotpluggable when we find
                  * vcpus that are hotpluggable and online prior to the ones
                  * we are going to add */
diff --git a/src/qemu/qemu_migration.c b/src/qemu/qemu_migration.c
index 4c3abbb1e6..a0b622d2ea 100644
--- a/src/qemu/qemu_migration.c
+++ b/src/qemu/qemu_migration.c
@@ -1025,7 +1025,7 @@ qemuMigrationSrcNBDStorageCopy(virQEMUDriverPtr driver,
  * qemuMigrationSrcIsAllowedHostdev:
  * @def: domain definition
  *
- * Checks that @def does not contain any host devices unsupported accross
+ * Checks that @def does not contain any host devices unsupported across
  * migrations. Returns true if the vm is allowed to migrate.
  */
 static bool
diff --git a/src/qemu/qemu_monitor.c b/src/qemu/qemu_monitor.c
index a65d638ab8..1d40aef127 100644
--- a/src/qemu/qemu_monitor.c
+++ b/src/qemu/qemu_monitor.c
@@ -2033,7 +2033,7 @@ qemuMonitorGetCPUInfo(qemuMonitorPtr mon,
                                      cpuentries, ncpuentries,
                                      info, maxvcpus) < 0) {
         /* Fallback to the legacy algorithm. Hotplug paths will make sure that
-         * the apropriate data is present */
+         * the appropriate data is present */
         qemuMonitorCPUInfoClear(info, maxvcpus);
         qemuMonitorGetCPUInfoLegacy(cpuentries, ncpuentries, info, maxvcpus);
     }
diff --git a/src/qemu/qemu_monitor_json.c b/src/qemu/qemu_monitor_json.c
index 5a806f6c0e..dfcc6d88b5 100644
--- a/src/qemu/qemu_monitor_json.c
+++ b/src/qemu/qemu_monitor_json.c
@@ -771,7 +771,7 @@ qemuMonitorJSONHandleIOError(qemuMonitorPtr mon, virJSONValuePtr data)
     int actionID;
 
     /* Throughout here we try our best to carry on upon errors,
-       since it's imporatant to get as much info as possible out
+       since it's important to get as much info as possible out
        to the application */
 
     if ((action = virJSONValueObjectGetString(data, "action")) == NULL) {
@@ -5797,7 +5797,7 @@ qemuMonitorJSONGetCommandLineOptionParameters(qemuMonitorPtr mon,
 
         if (!virJSONValueIsArray(array)) {
             virReportError(VIR_ERR_INTERNAL_ERROR, "%s",
-                           _("Malformed query-cmmand-line-options array"));
+                           _("Malformed query-command-line-options array"));
             goto cleanup;
         }
 
@@ -5831,7 +5831,7 @@ qemuMonitorJSONGetCommandLineOptionParameters(qemuMonitorPtr mon,
 
     if (!virJSONValueIsArray(data)) {
         virReportError(VIR_ERR_INTERNAL_ERROR, "%s",
-                       _("Malformed query-cmmand-line-options parameters array"));
+                       _("Malformed query-command-line-options parameters array"));
         goto cleanup;
     }
     n = virJSONValueArraySize(data);
diff --git a/src/qemu/qemu_process.c b/src/qemu/qemu_process.c
index ad54d96cf8..2f8e19d29d 100644
--- a/src/qemu/qemu_process.c
+++ b/src/qemu/qemu_process.c
@@ -2487,7 +2487,7 @@ qemuProcessSetLinkStates(virQEMUDriverPtr driver,
 /**
  * qemuProcessSetupPid:
  *
- * This function sets resource properities (affinity, cgroups,
+ * This function sets resource properties (affinity, cgroups,
  * scheduler) for any PID associated with a domain.  It should be used
  * to set up emulator PIDs as well as vCPU and I/O thread pids to
  * ensure they are all handled the same way.
diff --git a/src/qemu/qemu_security.c b/src/qemu/qemu_security.c
index 372bc53396..aedee735b4 100644
--- a/src/qemu/qemu_security.c
+++ b/src/qemu/qemu_security.c
@@ -482,7 +482,7 @@ qemuSecurityRestoreChardevLabel(virQEMUDriverPtr driver,
  * @existstatus: pointer to int returning exit status of process
  * @cmdret: pointer to int returning result of virCommandRun
  *
- * Start the TPM emulator with approriate labels. Apply security
+ * Start the TPM emulator with appropriate labels. Apply security
  * labels to files first.
  * This function returns -1 on security setup error, 0 if all the
  * setup was done properly. In case the virCommand failed to run
diff --git a/src/security/virt-aa-helper.c b/src/security/virt-aa-helper.c
index c7488432d6..a0f2c8ff22 100644
--- a/src/security/virt-aa-helper.c
+++ b/src/security/virt-aa-helper.c
@@ -551,7 +551,7 @@ valid_path(const char *path, const bool readonly)
             return 0;
     }
 
-    /* disallow RW acess to all paths in restricted and restriced_rw */
+    /* disallow RW access to all paths in restricted and restriced_rw */
     if ((array_starts_with(path, restricted, nropaths) == 0 ||
          array_starts_with(path, restricted_rw, nrwpaths) == 0))
         return 1;
diff --git a/src/storage/storage_backend_disk.c b/src/storage/storage_backend_disk.c
index 10df071322..9a0d550bc2 100644
--- a/src/storage/storage_backend_disk.c
+++ b/src/storage/storage_backend_disk.c
@@ -764,7 +764,7 @@ virStorageBackendDiskPartBoundaries(virStoragePoolObjPtr pool,
  * name provided during create doesn't match the name read from
  * virStorageBackendDiskReadPartitions.
  *
- * For a device mapper device, device respresentation is dependant upon
+ * For a device mapper device, device representation is dependent upon
  * device mapper configuration, but the general rule of thumb is that at
  * creation if a device name ends with a number, then a partition separator
  * "p" is added to the created name; otherwise, if the device name doesn't
diff --git a/src/uml/uml_conf.c b/src/uml/uml_conf.c
index 52087bcf7c..5c979dd843 100644
--- a/src/uml/uml_conf.c
+++ b/src/uml/uml_conf.c
@@ -56,7 +56,7 @@ virCapsPtr umlCapsInit(void)
                                    false, false)) == NULL)
         goto error;
 
-    /* Some machines have problematic NUMA toplogy causing
+    /* Some machines have problematic NUMA topology causing
      * unexpected failures. We don't want to break the QEMU
      * driver in this scenario, so log errors & carry on
      */
diff --git a/src/util/viralloc.c b/src/util/viralloc.c
index 1646b25fe8..b583294760 100644
--- a/src/util/viralloc.c
+++ b/src/util/viralloc.c
@@ -588,7 +588,7 @@ void virFree(void *ptrptr)
  * virDispose:
  * @ptrptr: pointer to pointer for address of memory to be sanitized and freed
  * @count: count of elements in the array to dispose
- * @elemet_size: size of one element
+ * @element_size: size of one element
  * @countptr: pointer to the count variable to clear (may be NULL)
  *
  * Clear and release the chunk of memory in the pointer pointed to by 'prtptr'.
diff --git a/src/util/viralloc.h b/src/util/viralloc.h
index a23aa188bb..ed72caaa13 100644
--- a/src/util/viralloc.h
+++ b/src/util/viralloc.h
@@ -559,7 +559,7 @@ void virDispose(void *ptrptr, size_t count, size_t element_size, size_t *countpt
  * @ptr: pointer holding address to be cleared and freed
  * @count: count of elements in @ptr
  *
- * Clear the memory of the array of elemets pointed to by 'ptr' of 'count'
+ * Clear the memory of the array of elements pointed to by 'ptr' of 'count'
  * elements and free it. Update the pointer/count to NULL/0.
  *
  * This macro is safe to use on arguments with side effects.
diff --git a/src/util/virbitmap.c b/src/util/virbitmap.c
index 21c484e1f3..3bbced01b0 100644
--- a/src/util/virbitmap.c
+++ b/src/util/virbitmap.c
@@ -610,7 +610,7 @@ virBitmapParse(const char *str,
  * This function is the counterpart of virBitmapFormat. This function creates
  * a bitmap, in which bits are set according to the content of @str.
  *
- * The bitmap is expanded to accomodate all the bits.
+ * The bitmap is expanded to accommodate all the bits.
  *
  * @str is a comma separated string of fields N, which means a number of bit
  * to set, and ^N, which means to unset the bit, and N-M for ranges of bits
diff --git a/src/util/vircgroup.c b/src/util/vircgroup.c
index 4aec5f1bcf..e20df3ea05 100644
--- a/src/util/vircgroup.c
+++ b/src/util/vircgroup.c
@@ -1899,7 +1899,7 @@ virCgroupDenyAllDevices(virCgroupPtr group)
 /**
  * virCgroupAllowAllDevices:
  *
- * Allows the permissiong for all devices by setting lines similar
+ * Allows the permission for all devices by setting lines similar
  * to these ones (obviously the 'm' permission is an example):
  *
  * 'b *:* m'
@@ -1950,7 +1950,7 @@ virCgroupAllowDevice(virCgroupPtr group, char type, int major, int minor,
  * adds that to the cgroup ACL
  *
  * Returns: 0 on success, 1 if path exists but is not a device or is not
- * accesible, or * -1 on error
+ * accessible, or * -1 on error
  */
 int
 virCgroupAllowDevicePath(virCgroupPtr group,
diff --git a/src/util/vircrypto.c b/src/util/vircrypto.c
index bdb83c5fd3..3a3ea227a5 100644
--- a/src/util/vircrypto.c
+++ b/src/util/vircrypto.c
@@ -216,9 +216,9 @@ virCryptoEncryptDataAESgnutls(gnutls_cipher_algorithm_t gnutls_enc_alg,
 
 
 /* virCryptoEncryptData:
- * @algorithm: algoritm desired for encryption
+ * @algorithm: algorithm desired for encryption
  * @enckey: encryption key
- * @enckeylen: encription key length
+ * @enckeylen: encryption key length
  * @iv: initialization vector
  * @ivlen: length of initialization vector
  * @data: data to encrypt
diff --git a/src/util/virlog.c b/src/util/virlog.c
index cb6901d9bf..cc099436dc 100644
--- a/src/util/virlog.c
+++ b/src/util/virlog.c
@@ -277,7 +277,7 @@ virLogOnceInit(void)
      * it might not be possible to load NSS modules via getaddrinfo()
      * (e.g. at container startup the host filesystem will not be
      * accessible anymore.
-     * Must not use virGetHostname though as that causes re-entrancy
+     * Must not use virGetHostname though as that causes re-entrance
      * problems if it triggers logging codepaths
      */
     r = gethostname(virLogHostname, sizeof(virLogHostname));
diff --git a/src/util/virmodule.c b/src/util/virmodule.c
index 533cfefc77..b0a019497c 100644
--- a/src/util/virmodule.c
+++ b/src/util/virmodule.c
@@ -153,7 +153,7 @@ virModuleLoad(const char *path,
         return -1;
     } else {
         /* Since we have no dlopen(), but definition we have no
-         * loadable modules on disk, so we can resaonably
+         * loadable modules on disk, so we can reasonably
          * return '1' instead of an error.
          */
         return 1;
diff --git a/src/util/virnetdevbandwidth.c b/src/util/virnetdevbandwidth.c
index 9aebe56f40..6f88399a76 100644
--- a/src/util/virnetdevbandwidth.c
+++ b/src/util/virnetdevbandwidth.c
@@ -280,7 +280,7 @@ virNetDevBandwidthSet(const char *ifname,
          *                                                +-----------+     +-----+
          *
          * After the routing decision, when is it clear a packet is to be sent
-         * via a particular NIC, it is sent to the root qdisc (queueing
+         * via a particular NIC, it is sent to the root qdisc (queuing
          * discipline). In this case HTB (Hierarchical Token Bucket). It has
          * only one direct child class (with id 1:1) which shapes the overall
          * rate that is sent through the NIC.  This class has at least one child
diff --git a/src/util/virnetdevip.c b/src/util/virnetdevip.c
index 9f940e1029..295ba86265 100644
--- a/src/util/virnetdevip.c
+++ b/src/util/virnetdevip.c
@@ -443,7 +443,7 @@ virNetDevIPWaitDadFinish(virSocketAddrPtr *addrs, size_t count)
     }
 
     memset(&ifa, 0, sizeof(ifa));
-    /* DAD is for IPv6 adresses only. */
+    /* DAD is for IPv6 addresses only. */
     ifa.ifa_family = AF_INET6;
     if (nlmsg_append(nlmsg, &ifa, sizeof(ifa), NLMSG_ALIGNTO) < 0) {
         virReportError(VIR_ERR_INTERNAL_ERROR, "%s",
diff --git a/src/util/virnetdevmacvlan.c b/src/util/virnetdevmacvlan.c
index 757d8135a6..fa2fa6dadf 100644
--- a/src/util/virnetdevmacvlan.c
+++ b/src/util/virnetdevmacvlan.c
@@ -733,7 +733,7 @@ virNetDevMacVLanVPortProfileCallback(struct nlmsghdr *hdr,
                 VIR_DEBUG("IFLA_PORT_REQUEST = %d", req);
 
                 if (req == PORT_REQUEST_DISASSOCIATE) {
-                    VIR_DEBUG("Set dissaccociated.");
+                    VIR_DEBUG("Set disassociated.");
                     indicate = true;
                 }
             }
diff --git a/src/util/virnetdevopenvswitch.c b/src/util/virnetdevopenvswitch.c
index 8fe06fdbab..ee0db4e9b2 100644
--- a/src/util/virnetdevopenvswitch.c
+++ b/src/util/virnetdevopenvswitch.c
@@ -307,7 +307,7 @@ int virNetDevOpenvswitchSetMigrateData(char *migrate, const char *ifname)
 /**
  * virNetDevOpenvswitchInterfaceStats:
  * @ifname: the name of the interface
- * @stats: the retreived domain interface stat
+ * @stats: the retrieved domain interface stat
  *
  * Retrieves the OVS interfaces stats
  *
diff --git a/src/util/virrandom.c b/src/util/virrandom.c
index 1f616f73d5..6ac8ae6153 100644
--- a/src/util/virrandom.c
+++ b/src/util/virrandom.c
@@ -50,7 +50,7 @@ VIR_LOG_INIT("util.random");
 
 /**
  * virRandomBits:
- * @nbits: Number of bits of randommess required
+ * @nbits: Number of bits of randomness required
  *
  * Generate an evenly distributed random number between [0,2^nbits), where
  * @nbits must be in the range (0,64].
diff --git a/src/util/virresctrl.c b/src/util/virresctrl.c
index 6ffd71fe7c..bc6b614ee9 100644
--- a/src/util/virresctrl.c
+++ b/src/util/virresctrl.c
@@ -730,7 +730,7 @@ virResctrlGetMonitorInfo(virResctrlInfoPtr resctrl)
         /* If no feature found in "/info/L3_MON/mon_features",
          * some error happens */
         virReportError(VIR_ERR_INTERNAL_ERROR, "%s",
-                       _("Get empty feature list from resctrl"));
+                       _("Got empty feature list from resctrl"));
         goto cleanup;
     }
 
diff --git a/src/util/virstoragefile.h b/src/util/virstoragefile.h
index 3ff6c4f900..a158383210 100644
--- a/src/util/virstoragefile.h
+++ b/src/util/virstoragefile.h
@@ -324,7 +324,7 @@ struct _virStorageSource {
     unsigned int debugLevel;
     bool debug;
 
-    /* Libvirt currently stores the following properities in virDomainDiskDef.
+    /* Libvirt currently stores the following properties in virDomainDiskDef.
      * These instances are currently just copies from the parent definition and
      * are not mapped back to the XML */
     int iomode; /* enum virDomainDiskIo */
diff --git a/src/util/virstring.c b/src/util/virstring.c
index 270e747acf..2207c9f9df 100644
--- a/src/util/virstring.c
+++ b/src/util/virstring.c
@@ -763,7 +763,7 @@ virAsprintfInternal(bool report,
  * @dest: destination buffer
  * @src: source buffer
  * @n: number of bytes to copy
- * @destbytes: number of bytes the destination can accomodate
+ * @destbytes: number of bytes the destination can accommodate
  *
  * Copies the first @n bytes of @src to @dest.
  *
@@ -772,7 +772,7 @@ virAsprintfInternal(bool report,
  *
  * @n must be a reasonable value, that is, it must not exceed either
  * the length of @src or the size of @dest. For the latter constraint,
- * the fact that @dest needs to accomodate a NULL byte in addition to
+ * the fact that @dest needs to accommodate a NULL byte in addition to
  * the bytes copied from @src must be taken into account.
  *
  * If you want to copy *all* of @src to @dest, use virStrcpy() or
@@ -806,7 +806,7 @@ virStrncpy(char *dest, const char *src, size_t n, size_t destbytes)
  *
  * @dest: destination buffer
  * @src: source buffer
- * @destbytes: number of bytes the destination can accomodate
+ * @destbytes: number of bytes the destination can accommodate
  *
  * Copies @src to @dest.
  *
diff --git a/src/vbox/vbox_network.c b/src/vbox/vbox_network.c
index 50a7a56303..7326ae7d07 100644
--- a/src/vbox/vbox_network.c
+++ b/src/vbox/vbox_network.c
@@ -413,7 +413,7 @@ vboxNetworkDefineCreateXML(virConnectPtr conn, const char *xml, bool start)
      * assign a name to it and it defaults to vboxnet*, for e.g:
      * vboxnet0, vboxnet1, etc. Also the UUID is assigned to it
      * automatically depending on the mac address and thus both
-     * these paramters are ignored here for now.
+     * these parameters are ignored here for now.
      *
      * If the vbox is in 2.x and the def->name not equal to vboxnet0,
      * the function call will fail and the networkInterface set to
diff --git a/src/vbox/vbox_uniformed_api.h b/src/vbox/vbox_uniformed_api.h
index 65c24d0944..eb4e148909 100644
--- a/src/vbox/vbox_uniformed_api.h
+++ b/src/vbox/vbox_uniformed_api.h
@@ -39,9 +39,9 @@
  * defined by vbox_CAPI_v4_0.h.
  *
  * The vbox_common.c, it is used to generate common codes for all vbox
- * versions. Bacause the same member varible's offset in a vbox struct
+ * versions. Because the same member variable's offset in a vbox struct
  * may change between different vbox versions. The vbox_common.c
- * shouldn't directly use struct's member varibles defined in
+ * shouldn't directly use struct's member variables defined in
  * vbox_CAPI_v*.h. To make things safety, we include the
  * vbox_common.h in vbox_common.c. In this case, we treat structs
  * defined by vbox as a void*. The common codes don't concern about
diff --git a/src/vmx/vmx.c b/src/vmx/vmx.c
index 937bf0c96b..92601291fd 100644
--- a/src/vmx/vmx.c
+++ b/src/vmx/vmx.c
@@ -2173,7 +2173,7 @@ virVMXParseDisk(virVMXContext *ctx, virDomainXMLOptionPtr xmlopt, virConfPtr con
         goto cleanup;
     }
 
-    /* FIXME: Need to distiguish between active and inactive domains here */
+    /* FIXME: Need to distinguish between active and inactive domains here */
     if (! present/* && ! startConnected*/)
         goto ignore;
 
@@ -2571,7 +2571,7 @@ virVMXParseEthernet(virConfPtr conf, int controller, virDomainNetDefPtr *def)
         return -1;
     }
 
-    /* FIXME: Need to distiguish between active and inactive domains here */
+    /* FIXME: Need to distinguish between active and inactive domains here */
     if (! present/* && ! startConnected*/)
         return 0;
 
@@ -2774,7 +2774,7 @@ virVMXParseSerial(virVMXContext *ctx, virConfPtr conf, int port,
         return -1;
     }
 
-    /* FIXME: Need to distiguish between active and inactive domains here */
+    /* FIXME: Need to distinguish between active and inactive domains here */
     if (! present/* && ! startConnected*/)
         return 0;
 
@@ -2953,7 +2953,7 @@ virVMXParseParallel(virVMXContext *ctx, virConfPtr conf, int port,
         return -1;
     }
 
-    /* FIXME: Need to distiguish between active and inactive domains here */
+    /* FIXME: Need to distinguish between active and inactive domains here */
     if (! present/* && ! startConnected*/)
         return 0;
 
diff --git a/src/vz/vz_driver.c b/src/vz/vz_driver.c
index bedc6316db..7e9ef932dc 100644
--- a/src/vz/vz_driver.c
+++ b/src/vz/vz_driver.c
@@ -3354,7 +3354,7 @@ vzDomainMigrateFinish3Params(virConnectPtr dconn,
     /* In this situation we have to restore domain on source. But the migration
      * is already finished. */
     if (!domain)
-        VIR_WARN("Can't provide domain '%s' after successfull migration.", name);
+        VIR_WARN("Can't provide domain '%s' after successful migration.", name);
     virDomainObjEndAPI(&dom);
     return domain;
 }
diff --git a/src/vz/vz_sdk.c b/src/vz/vz_sdk.c
index 5ca906e65f..63d013deac 100644
--- a/src/vz/vz_sdk.c
+++ b/src/vz/vz_sdk.c
@@ -2601,7 +2601,7 @@ prlsdkCheckUnsupportedParams(PRL_HANDLE sdkdom, virDomainDefPtr def)
 
     /* we fill only type and arch fields in vzLoadDomain for
      * hvm type and also init for containers, so we can check that all
-     * other paramenters are null and boot devices config is default */
+     * other parameters are null and boot devices config is default */
 
     if (def->os.machine != NULL || def->os.bootmenu != 0 ||
         def->os.kernel != NULL || def->os.initrd != NULL ||
diff --git a/src/xenconfig/xen_sxpr.c b/src/xenconfig/xen_sxpr.c
index af6316e7d0..fbdd5ea982 100644
--- a/src/xenconfig/xen_sxpr.c
+++ b/src/xenconfig/xen_sxpr.c
@@ -1703,7 +1703,7 @@ xenFormatSxprChr(virDomainChrDefPtr def,
  * @hvm: true or 1 if domain is HVM
  * @isAttach: create expression for device attach (1).
  *
- * Convert the disk device part of the domain config into a S-expresssion in buf.
+ * Convert the disk device part of the domain config into a S-expression in buf.
  *
  * Returns 0 in case of success, -1 in case of error.
  */
@@ -1965,7 +1965,7 @@ xenFormatSxprNet(virConnectPtr conn,
  * @def: the device config
  * @buf: a buffer for the result S-expression
  *
- * Convert a single PCI device part of the domain config into a S-expresssion in buf.
+ * Convert a single PCI device part of the domain config into a S-expression in buf.
  *
  * Returns 0 in case of success, -1 in case of error.
  */
@@ -1987,7 +1987,7 @@ xenFormatSxprPCI(virDomainHostdevDefPtr def,
  * @buf: a buffer for the result S-expression
  * @detach: create expression for device detach (1).
  *
- * Convert a single PCI device part of the domain config into a S-expresssion in buf.
+ * Convert a single PCI device part of the domain config into a S-expression in buf.
  *
  * Returns 0 in case of success, -1 in case of error.
  */
@@ -2019,7 +2019,7 @@ xenFormatSxprOnePCI(virDomainHostdevDefPtr def,
  * @def: the domain config
  * @buf: a buffer for the result S-expression
  *
- * Convert all PCI device parts of the domain config into a S-expresssion in buf.
+ * Convert all PCI device parts of the domain config into a S-expression in buf.
  *
  * Returns 0 in case of success, -1 in case of error.
  */
diff --git a/tests/securityselinuxlabeltest.c b/tests/securityselinuxlabeltest.c
index 39f4eb7b6a..76db2494bd 100644
--- a/tests/securityselinuxlabeltest.c
+++ b/tests/securityselinuxlabeltest.c
@@ -281,7 +281,7 @@ testSELinuxCheckLabels(testSELinuxFile *files, size_t nfiles)
         }
         if (STRNEQ_NULLABLE(files[i].context, ctx)) {
             virReportError(VIR_ERR_INTERNAL_ERROR,
-                           "File %s context '%s' did not match epected '%s'",
+                           "File %s context '%s' did not match expected '%s'",
                            files[i].file, ctx, files[i].context);
             VIR_FREE(ctx);
             return -1;
diff --git a/tests/virfirewalltest.c b/tests/virfirewalltest.c
index e6d68745ae..dda736cae5 100644
--- a/tests/virfirewalltest.c
+++ b/tests/virfirewalltest.c
@@ -240,7 +240,7 @@ testFirewallSingleGroup(const void *opaque)
     actual = virBufferCurrentContent(&cmdbuf);
 
     if (STRNEQ_NULLABLE(expected, actual)) {
-        fprintf(stderr, "Unexected command execution\n");
+        fprintf(stderr, "Unexpected command execution\n");
         virTestDifference(stderr, expected, actual);
         goto cleanup;
     }
@@ -306,7 +306,7 @@ testFirewallRemoveRule(const void *opaque)
     actual = virBufferCurrentContent(&cmdbuf);
 
     if (STRNEQ_NULLABLE(expected, actual)) {
-        fprintf(stderr, "Unexected command execution\n");
+        fprintf(stderr, "Unexpected command execution\n");
         virTestDifference(stderr, expected, actual);
         goto cleanup;
     }
@@ -379,7 +379,7 @@ testFirewallManyGroups(const void *opaque ATTRIBUTE_UNUSED)
     actual = virBufferCurrentContent(&cmdbuf);
 
     if (STRNEQ_NULLABLE(expected, actual)) {
-        fprintf(stderr, "Unexected command execution\n");
+        fprintf(stderr, "Unexpected command execution\n");
         virTestDifference(stderr, expected, actual);
         goto cleanup;
     }
@@ -475,7 +475,7 @@ testFirewallIgnoreFailGroup(const void *opaque ATTRIBUTE_UNUSED)
     actual = virBufferCurrentContent(&cmdbuf);
 
     if (STRNEQ_NULLABLE(expected, actual)) {
-        fprintf(stderr, "Unexected command execution\n");
+        fprintf(stderr, "Unexpected command execution\n");
         virTestDifference(stderr, expected, actual);
         goto cleanup;
     }
@@ -549,7 +549,7 @@ testFirewallIgnoreFailRule(const void *opaque ATTRIBUTE_UNUSED)
     actual = virBufferCurrentContent(&cmdbuf);
 
     if (STRNEQ_NULLABLE(expected, actual)) {
-        fprintf(stderr, "Unexected command execution\n");
+        fprintf(stderr, "Unexpected command execution\n");
         virTestDifference(stderr, expected, actual);
         goto cleanup;
     }
@@ -620,7 +620,7 @@ testFirewallNoRollback(const void *opaque ATTRIBUTE_UNUSED)
     actual = virBufferCurrentContent(&cmdbuf);
 
     if (STRNEQ_NULLABLE(expected, actual)) {
-        fprintf(stderr, "Unexected command execution\n");
+        fprintf(stderr, "Unexpected command execution\n");
         virTestDifference(stderr, expected, actual);
         goto cleanup;
     }
@@ -710,7 +710,7 @@ testFirewallSingleRollback(const void *opaque ATTRIBUTE_UNUSED)
     actual = virBufferCurrentContent(&cmdbuf);
 
     if (STRNEQ_NULLABLE(expected, actual)) {
-        fprintf(stderr, "Unexected command execution\n");
+        fprintf(stderr, "Unexpected command execution\n");
         virTestDifference(stderr, expected, actual);
         goto cleanup;
     }
@@ -803,7 +803,7 @@ testFirewallManyRollback(const void *opaque ATTRIBUTE_UNUSED)
     actual = virBufferCurrentContent(&cmdbuf);
 
     if (STRNEQ_NULLABLE(expected, actual)) {
-        fprintf(stderr, "Unexected command execution\n");
+        fprintf(stderr, "Unexpected command execution\n");
         virTestDifference(stderr, expected, actual);
         goto cleanup;
     }
@@ -926,7 +926,7 @@ testFirewallChainedRollback(const void *opaque ATTRIBUTE_UNUSED)
     actual = virBufferCurrentContent(&cmdbuf);
 
     if (STRNEQ_NULLABLE(expected, actual)) {
-        fprintf(stderr, "Unexected command execution\n");
+        fprintf(stderr, "Unexpected command execution\n");
         virTestDifference(stderr, expected, actual);
         goto cleanup;
     }
@@ -1109,7 +1109,7 @@ testFirewallQuery(const void *opaque ATTRIBUTE_UNUSED)
     }
 
     if (STRNEQ_NULLABLE(expected, actual)) {
-        fprintf(stderr, "Unexected command execution\n");
+        fprintf(stderr, "Unexpected command execution\n");
         virTestDifference(stderr, expected, actual);
         goto cleanup;
     }
diff --git a/tests/virhashtest.c b/tests/virhashtest.c
index 4e6b6f3fef..38f549848f 100644
--- a/tests/virhashtest.c
+++ b/tests/virhashtest.c
@@ -23,7 +23,7 @@ testHashInit(int size)
     if (!(hash = virHashCreate(size, NULL)))
         return NULL;
 
-    /* entires are added in reverse order so that they will be linked in
+    /* entries are added in reverse order so that they will be linked in
      * collision list in the same order as in the uuids array
      */
     for (i = ARRAY_CARDINALITY(uuids) - 1; i >= 0; i--) {
diff --git a/tests/virmock.h b/tests/virmock.h
index aaefb802e0..09efc7478d 100644
--- a/tests/virmock.h
+++ b/tests/virmock.h
@@ -83,7 +83,7 @@
  * then lookup the same symbol name but with 'wrap_' prefixed
  * on it, and call that.
  *
- * The actual test suite should provide the implemention of
+ * The actual test suite should provide the implementation of
  * the wrap_XXXX symbol, using the VIR_MOCK_WRAP_NNN_MMM
  * macros.
  */
diff --git a/tests/virtestmock.c b/tests/virtestmock.c
index 25aadf8aea..e0a3388266 100644
--- a/tests/virtestmock.c
+++ b/tests/virtestmock.c
@@ -221,7 +221,7 @@ int access(const char *path, int mode)
 
 /* Okay, the following ifdef rain forest may look messy at a
  * first glance. But here's the thing: during run time linking of
- * a binary, stat() may not be acutally needing symbol stat. It
+ * a binary, stat() may not be actually needing symbol stat. It
  * might as well not had been stat() in the first place (see the
  * reasoning at the beginning of this file). However, if we would
  * expose stat symbol here, we will poison the well and trick
diff --git a/tools/virsh.c b/tools/virsh.c
index eb4f9caa7f..09fa0f8a67 100644
--- a/tools/virsh.c
+++ b/tools/virsh.c
@@ -322,7 +322,7 @@ virshConnectionUsability(vshControl *ctl, virConnectPtr conn)
     }
 
     /* The connection is considered dead only if
-     * virConnectIsAlive() successfuly says so.
+     * virConnectIsAlive() successfully says so.
      */
     vshResetLibvirtError();
 
diff --git a/tools/virt-admin.c b/tools/virt-admin.c
index 77928ddb80..aa4564858e 100644
--- a/tools/virt-admin.c
+++ b/tools/virt-admin.c
@@ -646,7 +646,7 @@ cmdSrvClientsList(vshControl *ctl, const vshCmd *cmd)
         goto cleanup;
     }
 
-    table = vshTableNew(_("Id"), _("Transport"), _("Connected sice"), NULL);
+    table = vshTableNew(_("Id"), _("Transport"), _("Connected since"), NULL);
     if (!table)
         goto cleanup;
 
diff --git a/tools/vsh-table.c b/tools/vsh-table.c
index fb656ffeb0..9855609e54 100644
--- a/tools/vsh-table.c
+++ b/tools/vsh-table.c
@@ -427,7 +427,7 @@ vshTablePrint(vshTablePtr table, bool header)
  * @ctl virtshell control structure
  *
  * Print table returned in string to stdout.
- * If effect on vshControl structure on priting function changes in future
+ * If effect on vshControl structure on printing function changes in future
  * (apart from quiet mode) this code may need update
  */
 void
-- 
2.13.7

